Debian Bug report logs - #630107
[kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)

version graph

Package: libgeom0; Maintainer for libgeom0 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sat, 11 Jun 2011 01:00:02 UTC

Severity: grave

Found in version freebsd-libs/8.2-2

Fixed in version freebsd-libs/8.2+ds1-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 01:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Fri, 10 Jun 2011 19:57:02 -0500
Package: libgeom0
Version: 8.2-2
Severity: grave
Justification: cannot install grub-pc
Affects: grub-common

Hi,

Typical kfreebsd-amd64 experimental system (running through qemu).
Was upgrading today for the first time since 2011-05-06.  Previously I
had grub-pc 1.99~rc1-13 installed.  When it came to be time to upgrade
grub-pc, some warnings about camcontrol as usual, then a debconf
dialog about choosing between /dev/ad0 and /dev/ad0s1 if I remember it
correctly.  I choose /dev/ad0.  Then another debconf dialog about that
failing and whether I want to continue anyway.  I choose "No" and it
goes back in a loop.  (Wouldn't failing postinst at that point be
better, so the package manager can do its job by downgrading or trying
again at the next "dpkg --configure -a"?  Ah, now that I check, it
looks like that's what "Yes" to install_devices_failed does --- hmm.)

Lacking an escape route, I hit ^C, reconfigure debconf to use the
readline plugin, and ran "dpkg --configure -a" to try again.  Now:

 # dpkg --configure -a
 Setting up grub-pc (1.99-6) ...
 Generating grub.pc ...
 Found kernel of FreeBSD: /boot/kfreebsd-8.2-1-amd64.gz
 Found kernel module directory: /lib/modules/8.2-1-amd64
 /usr/sbin/grub-probe: error: cannot find a GRUB drive for /dev/ad0s1.  Check your device.map
 ls: cannot access /lib/modules/8.2-1-amd64/unknown.ko: No such file or directory

 dpkg: error processing grub-pc (--configure):
  subprocess installed post-installation script returned error exit status 2

Hmm, that's different.  Weird.

The device.map says:

 (hd0)	/dev/ad0

Removing grub-pc-bin and grub2-common and downgrading grub-pc and
grub-common to 1.99~rc1-13 still gives the "cannot find a GRUB drive
for /dev/ad0s1" error, without the "cannot access ...unknown.ko" one.

Based on a memory of Bug#612128, I try downgrading libgeom0 from
8.2-2 to 8.1-5.  That works.

Known problem?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 09:48:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 09:48:29 GMT) Full text and rfc822 format available.

Message #10 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630107@bugs.debian.org
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 11:46:41 +0200
2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:
>  Generating grub.pc ...
>  Found kernel of FreeBSD: /boot/kfreebsd-8.2-1-amd64.gz
>  Found kernel module directory: /lib/modules/8.2-1-amd64
>  /usr/sbin/grub-probe: error: cannot find a GRUB drive for /dev/ad0s1.  Check your device.map
>  ls: cannot access /lib/modules/8.2-1-amd64/unknown.ko: No such file or directory

What filesystem(s) are you using?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 09:57:17 GMT) Full text and rfc822 format available.

Message #15 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 04:53:55 -0500
Robert Millan wrote:
> 2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:

>>  Generating grub.pc ...
>>  Found kernel of FreeBSD: /boot/kfreebsd-8.2-1-amd64.gz
>>  Found kernel module directory: /lib/modules/8.2-1-amd64
>>  /usr/sbin/grub-probe: error: cannot find a GRUB drive for /dev/ad0s1.  Check your device.map
>>  ls: cannot access /lib/modules/8.2-1-amd64/unknown.ko: No such file or directory
>
> What filesystem(s) are you using?

Only one slice, UFS.

Jonathan

# fdisk -l /dev/ad0
last_lba(): I don't know how to handle files with mode 20660

Disk /dev/ad0: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 652 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000b5bc3

    Device Boot      Start         End      Blocks   Id  System
/dev/ad0p1   *           1         620     4974592   a5  FreeBSD
Partition 1 does not end on cylinder boundary.
/dev/ad0p2             620         653      265217    5  Extended
Partition 2 does not end on cylinder boundary.
/dev/ad0p5             620         653      265216   82  Linux swap / Solaris




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 11:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630107@bugs.debian.org
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 13:25:29 +0200
2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:
>>>  /usr/sbin/grub-probe: error: cannot find a GRUB drive for /dev/ad0s1.  Check your device.map
>>>  ls: cannot access /lib/modules/8.2-1-amd64/unknown.ko: No such file or directory
>>
>> What filesystem(s) are you using?
>
> Only one slice, UFS.

Did you check your device.map?  Try regenerating it (grub-mkdevicemap).

Also please check wether grub 1.98+20100804-14 (from squeeze) also suffers
from this problem.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 11:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 11:33:07 GMT) Full text and rfc822 format available.

Message #25 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 06:30:50 -0500
Robert Millan wrote:

> Did you check your device.map?  Try regenerating it (grub-mkdevicemap).

My device.map is in the original message.  It has one line:

 (hd0)	/dev/ad0

Running grub-mkdevicemap does not change it.

> Also please check wether grub 1.98+20100804-14 (from squeeze) also suffers
> from this problem.

Is that necessary?  Please see Bug#612128 for context (1.98+20100804-14
worked okay and did not use libgeom) if some is needed.  Are you
unable to reproduce this with libgeom0 and the kernel from
experimental?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 11:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 11:54:06 GMT) Full text and rfc822 format available.

Message #30 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 13:51:06 +0200
2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:
>> Also please check wether grub 1.98+20100804-14 (from squeeze) also suffers
>> from this problem.
>
> Is that necessary?  Please see Bug#612128 for context (1.98+20100804-14
> worked okay and did not use libgeom) if some is needed.

Yes.  camcontrol is just used for informational candy.  You can
check if it works by running it manually to determine e.g. size
of /dev/ad0, but it's not related to your grub-probe problem.

grub-probe in squeeze doesn't use libgeom, it was introduced in
this commit:

  bzr show -c 3118 http://bzr.savannah.gnu.org/r/grub/trunk/grub/

If it's a regression, it could be a bug in GRUB or maybe it's a
silent ABI bump (I'd check if a GRUB rebuild helps).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 12:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 12:03:17 GMT) Full text and rfc822 format available.

Message #35 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 06:59:03 -0500
Hi again,

Robert Millan wrote:
> 2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:

>> Is that necessary?  Please see Bug#612128 for context (1.98+20100804-14
>> worked okay and did not use libgeom) if some is needed.
>
> Yes.

Thanks for looking into this.  I'm a bit confused:

> camcontrol is just used for informational candy.  You can
> check if it works by running it manually to determine e.g. size
> of /dev/ad0, but it's not related to your grub-probe problem.

Yes, Bug#612128 was not about camcontrol, despite the misleading
title.  I pointed to it to mention that I used 1.98+20100804-14 in
the past and it worked fine.

> grub-probe in squeeze doesn't use libgeom, it was introduced in
> this commit:

Yes, that's what I just said. :)

> If it's a regression, it could be a bug in GRUB or maybe it's a
> silent ABI bump (I'd check if a GRUB rebuild helps).

As I mentioned, after downgrading libgeom0 to 8.1-5, everything works
fine.  Upgrading libgeom0 to 8.2-2 and running

	dpkg-reconfigure grub-pc

reproduces the problem again.  Why would a GRUB rebuild help?

My previous question about whether this is reproducible on other
people's machines was not rhetorical.  It would be a new symptom,
which could help me in investigating.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 14:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 14:00:08 GMT) Full text and rfc822 format available.

Message #40 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 15:57:40 +0200
2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:
>> If it's a regression, it could be a bug in GRUB or maybe it's a
>> silent ABI bump (I'd check if a GRUB rebuild helps).
>
> As I mentioned, after downgrading libgeom0 to 8.1-5,

I was referring to grub-common.

> Upgrading libgeom0 to 8.2-2 and running
>
>        dpkg-reconfigure grub-pc
>
> reproduces the problem again.

AIUI you don't need to run the package scripts, you should be
able to reproduce this with:

grub-probe -t drive /

> Why would a GRUB rebuild help?

It would help us weed out the possibility that there's an
ABI inconsistency (exposed when building GRUB with libgeom
8.1 and running it with libgeom 8.2).  But that's just one
possible cause.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sat, 11 Jun 2011 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 19:24:03 GMT) Full text and rfc822 format available.

Message #45 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 14:21:34 -0500
Robert Millan wrote:
> 2011/6/11 Jonathan Nieder <jrnieder@gmail.com>:

>> As I mentioned, after downgrading libgeom0 to 8.1-5,
>
> I was referring to grub-common.

What does that have to do with the price in China?  I already
explained that (with a different kernel) grub-common at the version
in testing works fine.  With the current kernel I haven't tested that
yet but it's on my list of things to do.

I guess I will be investigating this on my own --- we don't seem to be
communicating and in particular I have no interest in doing make-work
like

	dpkg --remove grub-pc-bin grub-common2
	wget ...grub from testing...
	dpkg --install ...grub from testing...

when you haven't answered the simple yes-or-no question of whether
libgeom0 on experimental works on any machine other than my own.

If it _does_ work on other people's machines, let's lower the severity
to "important" and move on.  Given time, I will happily look at the
source code and try to figure out what's going on.

> AIUI you don't need to run the package scripts, you should be
> able to reproduce this with:
>
> grub-probe -t drive /

Thanks for a useful tip.

>> Why would a GRUB rebuild help?
>
> It would help us weed out the possibility that there's an
> ABI inconsistency (exposed when building GRUB with libgeom
> 8.1 and running it with libgeom 8.2).  But that's just one
> possible cause.

I'll try this.  libgeom0 does not use versioned symbols so it seems
like a long shot, but it's at least easy to do. :)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 00:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 00:57:06 GMT) Full text and rfc822 format available.

Message #50 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sat, 11 Jun 2011 19:55:17 -0500
Robert Millan wrote:

> I'd check if a GRUB rebuild helps.

It does!  I should never have doubted.

After a rebuild, running "grub-probe -t drive /" with libgeom from
unstable produces no output and exits with status 139 (sigsegv).  I
assume libgeom could benefit from a symbols bump in addition to a
Breaks against the previous grub-common version.

How about this patch, for grub2 in experimental?
---
 debian/changelog    |   10 ++++++++++
 debian/control      |    2 +-
 debian/shlibs.local |    1 +
 3 files changed, 12 insertions(+), 1 deletions(-)
 create mode 100644 debian/shlibs.local

diff --git a/debian/changelog b/debian/changelog
index 0260b3f..b0e80b6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+grub2 (1.99-6.1) local; urgency=low
+
+  * Rebuild against libgeom 8.2 (thanks, Robert Millan):
+    - control: Build-Depends on libgeom-dev (>= 8.2).
+      Works around: #630107.
+    - Add a shlibs.local file to work around an undeclared
+      change in the layout of struct gprovider.
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 11 Jun 2011 19:19:50 -0500
+
 grub2 (1.99-6) unstable; urgency=low
 
   [ Colin Watson ]
diff --git a/debian/control b/debian/control
index 290121b..415ef12 100644
--- a/debian/control
+++ b/debian/control
@@ -26,7 +26,7 @@ Build-Depends: debhelper (>= 7.4.2~),
  libdevmapper-dev (>= 2:1.02.34) [linux-any],
  libzfs-dev [kfreebsd-any],
  libnvpair-dev [kfreebsd-any],
- libgeom-dev [kfreebsd-any],
+ libgeom-dev (>= 8.2) [kfreebsd-any],
  libsdl1.2-dev [!hurd-any],
  xorriso (>= 0.5.6.pl00),
  qemu-system [i386 kfreebsd-i386 kopensolaris-i386 any-amd64],
diff --git a/debian/shlibs.local b/debian/shlibs.local
new file mode 100644
index 0000000..c12e078
--- /dev/null
+++ b/debian/shlibs.local
@@ -0,0 +1 @@
+libgeom 0 libgeom0 (>= 8.2)
-- 
1.7.5.4





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 01:24:03 GMT) Full text and rfc822 format available.

Message #55 received at 630107@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630107@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sun, 12 Jun 2011 03:20:03 +0200
Hi!

On Sat, 2011-06-11 at 19:55:17 -0500, Jonathan Nieder wrote:
> Robert Millan wrote:
> > I'd check if a GRUB rebuild helps.
> 
> It does!  I should never have doubted.
> 
> After a rebuild, running "grub-probe -t drive /" with libgeom from
> unstable produces no output and exits with status 139 (sigsegv).  I
> assume libgeom could benefit from a symbols bump in addition to a
> Breaks against the previous grub-common version.

The problem is an ABI change as can be seen from:

  <http://svnweb.freebsd.org/base/head/lib/libgeom/libgeom.h?r1=182843&r2=202454>

So the library needs the SOVERSION bumped. I'll do that and use the
opportunity to add libjail too, now that we have to go through NEW.
I'll try to check for other possible ABI changes on the rest of the
libraries.

regards,
guillem




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 04:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 08:15:09 GMT) Full text and rfc822 format available.

Message #62 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 630107@bugs.debian.org
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sun, 12 Jun 2011 10:11:10 +0200
2011/6/12 Guillem Jover <guillem@debian.org>:
> The problem is an ABI change as can be seen from:
>
>  <http://svnweb.freebsd.org/base/head/lib/libgeom/libgeom.h?r1=182843&r2=202454>
>
> So the library needs the SOVERSION bumped. I'll do that and use the
> opportunity to add libjail too, now that we have to go through NEW.
> I'll try to check for other possible ABI changes on the rest of the
> libraries.

Nice spotting Guillem.  Please consider sending this to upstream
PR database as well, I'm sure they'll appreciate.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 08:21:04 GMT) Full text and rfc822 format available.

Message #67 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sun, 12 Jun 2011 10:18:26 +0200
clone 630107 -1
reassign -1 grub-common 1.99-6
retitle -1 grub-probe segfaults on GNU/kFreeBSD after commit r3118
thanks

Since we're talking about GRUB now, I'm cloning this bug.  Please
followup to the new one.

2011/6/12 Jonathan Nieder <jrnieder@gmail.com>:
> Robert Millan wrote:
>
>> I'd check if a GRUB rebuild helps.
>
> It does!  I should never have doubted.
>
> After a rebuild, running "grub-probe -t drive /" with libgeom from
> unstable produces no output and exits with status 139 (sigsegv).  I
> assume libgeom could benefit from a symbols bump in addition to a
> Breaks against the previous grub-common version.
>
> How about this patch, for grub2 in experimental?

Seems fine, but you just said it doesn't fix the problem, only
part of it.  Could you investigate further?

-- 
Robert Millan




Bug 630107 cloned as bug 630197. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 08:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 08:33:06 GMT) Full text and rfc822 format available.

Message #74 received at 630107@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sun, 12 Jun 2011 03:32:10 -0500
tags 630197 - pending
thanks

Robert Millan wrote:
> 2011/6/12 Jonathan Nieder <jrnieder@gmail.com>:

>> After a rebuild, running "grub-probe -t drive /" with libgeom from
>> unstable produces no output and exits with status 139 (sigsegv).  I
>> assume libgeom could benefit from a symbols bump in addition to a
>> Breaks against the previous grub-common version.
>>
>> How about this patch, for grub2 in experimental?
>
> Seems fine, but you just said it doesn't fix the problem, only
> part of it.  Could you investigate further?

Ah, for "libgeom from unstable", please read "libgeom from testing".
I somehow confused myself into thinking 8.2 was not in sid yet, hence
the nonsense.

In other words, all I was saying is that grub-probe built with new
ABI is not happy when you try to run it with old libgeom.  Which is
not very surprising.  The patch avoids the problem by explicitly
depending on libgeom 8.2.

A better fix is to wait for Guillem's upload and then schedule a
binnmu.  Sorry for the noise.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Sun, 12 Jun 2011 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Jun 2011 09:57:05 GMT) Full text and rfc822 format available.

Message #79 received at 630107@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 630107@bugs.debian.org
Subject: Re: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Sun, 12 Jun 2011 11:53:51 +0200
2011/6/12 Jonathan Nieder <jrnieder@gmail.com>:
> A better fix is to wait for Guillem's upload and then schedule a
> binnmu.  Sorry for the noise.

OK

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Tue, 14 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kaduk <kaduk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 14 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #84 received at 630107@bugs.debian.org (full text, mbox):

From: Benjamin Kaduk <kaduk@MIT.EDU>
To: Robert Millan <rmh@debian.org>, 630107@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Tue, 14 Jun 2011 12:44:53 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Sun, 12 Jun 2011, Robert Millan wrote:

> 2011/6/12 Guillem Jover <guillem@debian.org>:
>> The problem is an ABI change as can be seen from:
>>
>>  <http://svnweb.freebsd.org/base/head/lib/libgeom/libgeom.h?r1=182843&r2=202454>
>>
>> So the library needs the SOVERSION bumped. I'll do that and use the
>> opportunity to add libjail too, now that we have to go through NEW.
>> I'll try to check for other possible ABI changes on the rest of the
>> libraries.
>
> Nice spotting Guillem.  Please consider sending this to upstream
> PR database as well, I'm sure they'll appreciate.

I have filed upstream PR #157879 with a fairly minimal description [1]; 
attaching more details to it would probably be useful.  (Mail to 
freebsd-gnats-submit@freebsd.org with subject starting "Re: kern/157879" 
should go to the right place.)

-Ben Kaduk

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=157879
though there is a lag of a few tens of minutes before it actually becomes 
queriable

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630107; Package libgeom0. (Thu, 16 Jun 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 16 Jun 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #89 received at 630107@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Robert Millan <rmh@debian.org>, 630107@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#630107: [kfreebsd] cannot configure grub-pc (error: cannot find a GRUB drive for /dev/ad0s1)
Date: Fri, 17 Jun 2011 00:22:36 +0200
Hi!

On Sun, 2011-06-12 at 11:53:51 +0200, Robert Millan wrote:
> 2011/6/12 Jonathan Nieder <jrnieder@gmail.com>:
> > A better fix is to wait for Guillem's upload and then schedule a
> > binnmu.  Sorry for the noise.
> 
> OK

Just in case it has not been noticed, I did this the other day, and
freebsd-libs is sitting in NEW now.

  <http://ftp-master.debian.org/new/freebsd-libs_8.2+ds1-1.html>

thanks,
guillem




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 09:18:55 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 09:18:58 GMT) Full text and rfc822 format available.

Message #94 received at 630107-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 630107-close@bugs.debian.org
Subject: Bug#630107: fixed in freebsd-libs 8.2+ds1-1
Date: Fri, 17 Jun 2011 09:17:28 +0000
Source: freebsd-libs
Source-Version: 8.2+ds1-1

We believe that the bug you reported is fixed in the latest version of
freebsd-libs, which is due to be installed in the Debian FTP archive:

freebsd-libs_8.2+ds1-1.debian.tar.gz
  to main/f/freebsd-libs/freebsd-libs_8.2+ds1-1.debian.tar.gz
freebsd-libs_8.2+ds1-1.dsc
  to main/f/freebsd-libs/freebsd-libs_8.2+ds1-1.dsc
freebsd-libs_8.2+ds1.orig.tar.gz
  to main/f/freebsd-libs/freebsd-libs_8.2+ds1.orig.tar.gz
libcam-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam-dev_8.2+ds1-1_kfreebsd-amd64.deb
libcam0_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam0_8.2+ds1-1_kfreebsd-amd64.deb
libdevstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
libdevstat7_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat7_8.2+ds1-1_kfreebsd-amd64.deb
libgeom-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom-dev_8.2+ds1-1_kfreebsd-amd64.deb
libgeom1-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libgeom1-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
libgeom1_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom1_8.2+ds1-1_kfreebsd-amd64.deb
libipx-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx-dev_8.2+ds1-1_kfreebsd-amd64.deb
libipx2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libipx2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
libipx2_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx2_8.2+ds1-1_kfreebsd-amd64.deb
libjail-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail-dev_8.2+ds1-1_kfreebsd-amd64.deb
libjail1_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail1_8.2+ds1-1_kfreebsd-amd64.deb
libkiconv-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv-dev_8.2+ds1-1_kfreebsd-amd64.deb
libkiconv4_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv4_8.2+ds1-1_kfreebsd-amd64.deb
libkvm-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm-dev_8.2+ds1-1_kfreebsd-amd64.deb
libkvm0_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm0_8.2+ds1-1_kfreebsd-amd64.deb
libmemstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
libmemstat3_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat3_8.2+ds1-1_kfreebsd-amd64.deb
libnetgraph-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph-dev_8.2+ds1-1_kfreebsd-amd64.deb
libnetgraph4_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph4_8.2+ds1-1_kfreebsd-amd64.deb
libsbuf-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf-dev_8.2+ds1-1_kfreebsd-amd64.deb
libsbuf0-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libsbuf0-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
libsbuf0_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf0_8.2+ds1-1_kfreebsd-amd64.deb
libusb2-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2-dev_8.2+ds1-1_kfreebsd-amd64.deb
libusb2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libusb2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
libusb2_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2_8.2+ds1-1_kfreebsd-amd64.deb
libusbhid-common_8.2+ds1-1_all.deb
  to main/f/freebsd-libs/libusbhid-common_8.2+ds1-1_all.deb
libusbhid-dev_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid-dev_8.2+ds1-1_kfreebsd-amd64.deb
libusbhid4_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid4_8.2+ds1-1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630107@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Jun 2011 22:48:21 +0200
Source: freebsd-libs
Binary: libsbuf0 libsbuf0-udeb libsbuf-dev libcam0 libcam-dev libgeom1 libgeom-dev libgeom1-udeb libusbhid4 libusbhid-common libusbhid-dev libusb2 libusb2-dev libusb2-udeb libkvm0 libkvm-dev libdevstat7 libdevstat-dev libmemstat3 libmemstat-dev libnetgraph4 libnetgraph-dev libipx2 libipx-dev libipx2-udeb libkiconv4 libkiconv-dev libjail1 libjail-dev
Architecture: source kfreebsd-amd64 all
Version: 8.2+ds1-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libcam-dev - Development files for libcam
 libcam0    - FreeBSD CAM (Common Access Method) library
 libdevstat-dev - Development files for libdevstat
 libdevstat7 - FreeBSD devstat (kernel interface) library
 libgeom-dev - Development files for libgeom
 libgeom1   - FreeBSD GEOM library
 libgeom1-udeb - FreeBSD GEOM library (udeb) (udeb)
 libipx-dev - Development files for libipx
 libipx2    - FreeBSD IPX address conversion support library
 libipx2-udeb - FreeBSD IPX address conversion support library (udeb) (udeb)
 libjail-dev - Development files for libjail
 libjail1   - FreeBSD jail library
 libkiconv-dev - Development files for libkiconv
 libkiconv4 - FreeBSD kernel side iconv library (udeb)
 libkvm-dev - Development files for libkvm
 libkvm0    - FreeBSD kvm (kernel memory interface) library
 libmemstat-dev - Development files for libmemstat
 libmemstat3 - FreeBSD memstat (kernel interface) library
 libnetgraph-dev - Development files for libnetgraph
 libnetgraph4 - FreeBSD memstat (kernel interface) library
 libsbuf-dev - Development files for libsbuf
 libsbuf0   - FreeBSD string buffer library
 libsbuf0-udeb - FreeBSD string buffer library (udeb) (udeb)
 libusb2    - FreeBSD userspace USB programming library
 libusb2-dev - Development files for libusb2
 libusb2-udeb - Development files for libusb2 (udeb) (udeb)
 libusbhid-common - Common files for the USB HID devices FreeBSD library
 libusbhid-dev - Development files for libusbhid
 libusbhid4 - FreeBSD library to access USB HID devices
Closes: 629521 630107
Changes: 
 freebsd-libs (8.2+ds1-1) unstable; urgency=low
 .
   * Bump libgeom SOVERSION from 0 to 1 and rename package libgeom0 to
     libgeom1, due to ABI changes in ‘struct gprovider’. (Closes: #630107)
   * Add new libjail library packages. Based on a patch by Robert Millan.
     (Closes: #629521)
   * Update copyright holders and years in debian/copyright.
   * Integrate svn exports of single files into the main svn export loop.
   * Do not build profile libraries, which we don't use anyway.
Checksums-Sha1: 
 0572cbed9e7abfc6bba3308cbfdb6cd253263faa 1839 freebsd-libs_8.2+ds1-1.dsc
 0ee78a6f7a89f0335e0f840212476a18618044d4 517866 freebsd-libs_8.2+ds1.orig.tar.gz
 4c86205647c50fab5ba1f2251a4cec2efb722b27 22749 freebsd-libs_8.2+ds1-1.debian.tar.gz
 c7c283633aaad402c3db087161c149507785e1ce 11458 libsbuf0_8.2+ds1-1_kfreebsd-amd64.deb
 73d6c813ea670857ab3999b1fbfd532cdff70220 4344 libsbuf0-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 7a85251354b22db28ce90ed776154a4ee125704c 11016 libsbuf-dev_8.2+ds1-1_kfreebsd-amd64.deb
 c94bf23bd7a2ce2b6ec2dcfd36a4d95c9690af5a 49220 libcam0_8.2+ds1-1_kfreebsd-amd64.deb
 887baae83c74610613b86b8dfa13cbac65842c24 65038 libcam-dev_8.2+ds1-1_kfreebsd-amd64.deb
 62d981d61b21c5f03e53b90a9cc4480f7edfbdad 17964 libgeom1_8.2+ds1-1_kfreebsd-amd64.deb
 46629123e2f4bf07c07f772d310601b3ee2cabe1 23286 libgeom-dev_8.2+ds1-1_kfreebsd-amd64.deb
 552f639d8ab73b1414df725302aaa9e826a911dc 10574 libgeom1-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 d7f1f6c113f52953cfd32dfcdfabd2d176c80bd1 14882 libusbhid4_8.2+ds1-1_kfreebsd-amd64.deb
 8360758da998b898702213f5caa410ff841936eb 18482 libusbhid-dev_8.2+ds1-1_kfreebsd-amd64.deb
 04a1267375e692f9f962cf8cae3e1b8ea5fce6b0 39258 libusb2_8.2+ds1-1_kfreebsd-amd64.deb
 9606bf05fc748cfde9d38c52c5e465a36e7b005b 62402 libusb2-dev_8.2+ds1-1_kfreebsd-amd64.deb
 d195288efda667dea93e215ac2ecdb81f795eaf4 30832 libusb2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 5e3f642b05a0e7c1591bea542f9b479f5ac3e3b4 23536 libkvm0_8.2+ds1-1_kfreebsd-amd64.deb
 76228c1f323c16e096513ae33d447d88a6402e6b 46980 libkvm-dev_8.2+ds1-1_kfreebsd-amd64.deb
 2b445113d7ad38d3197dec8949bc5f2209f9cb90 17680 libdevstat7_8.2+ds1-1_kfreebsd-amd64.deb
 4d40dc05fb88efd0bfbece9b03012de64993a4a1 25170 libdevstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 a2364f2bdd28072aa23bbd5432955a189cde5e59 15232 libmemstat3_8.2+ds1-1_kfreebsd-amd64.deb
 d8b6b0bcb81d1d62bf43536c2e87bef13fbb98a4 22294 libmemstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 b1443ce38c4343f18153b0c149eab4aba94616bc 15958 libnetgraph4_8.2+ds1-1_kfreebsd-amd64.deb
 ac6a7893dd4bfed80539f9c55eab47c1ade3a94b 21554 libnetgraph-dev_8.2+ds1-1_kfreebsd-amd64.deb
 e4b2c8e8d35f021cd97653777196eeec54ba848d 11058 libipx2_8.2+ds1-1_kfreebsd-amd64.deb
 0c0ea0f83ea6a0aae89b2b00be7f04d3498d0339 12948 libipx-dev_8.2+ds1-1_kfreebsd-amd64.deb
 c6bfdb7886730a41671aae1c284587a6a9ef978e 3972 libipx2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 93bcaa8654ebf48607d502d66a8502f58d5c5874 13640 libkiconv4_8.2+ds1-1_kfreebsd-amd64.deb
 afe19c72d54c52a66a7e0e533fb7b9ebf9ace40a 10922 libkiconv-dev_8.2+ds1-1_kfreebsd-amd64.deb
 7b3b46d4c7f2b186ddea7f4cbff646b9b22f6bff 18014 libjail1_8.2+ds1-1_kfreebsd-amd64.deb
 9908410fd052f4b089d482ef9bc2a6d4924a2e95 21704 libjail-dev_8.2+ds1-1_kfreebsd-amd64.deb
 76ddb873d37bfd3cdcc119b352efb26226ae1a38 21504 libusbhid-common_8.2+ds1-1_all.deb
Checksums-Sha256: 
 534413aefc38884a561760a127fea9ba90331b87c58d5f7d12c942f54982568e 1839 freebsd-libs_8.2+ds1-1.dsc
 ea31d69641ce46fd577b66f276025f88de6e85ac98a8375969c3fb8f89620bef 517866 freebsd-libs_8.2+ds1.orig.tar.gz
 4d7128f38ca39a46d4362ea2b074e470de0f1d91da51815af82e925ca13ddc29 22749 freebsd-libs_8.2+ds1-1.debian.tar.gz
 12133a18d8b5413195c3a17d588d2b4e5b0d606c3d02d0c19b7b897aa3823cc5 11458 libsbuf0_8.2+ds1-1_kfreebsd-amd64.deb
 f72a77fdcdd7128c7b4439f539a23606eb3a8fc2ef8909d67586860e8ad48569 4344 libsbuf0-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 2a5d7d971332a1d70868ef90d180502f0438cb76f8616fbff4518c14c9b2789d 11016 libsbuf-dev_8.2+ds1-1_kfreebsd-amd64.deb
 a8e63cda03dd1cf722c8458f1441bd1fcf23622b14eb808463c20e1ede13a025 49220 libcam0_8.2+ds1-1_kfreebsd-amd64.deb
 2c8423774e228bdc26f851d263c530dd22506e58de81827e4b1cc1dc388d5f69 65038 libcam-dev_8.2+ds1-1_kfreebsd-amd64.deb
 21c5abe4c07349483d20243c7b2a5407335e63ea53be2b069959f2ee6e1f1eac 17964 libgeom1_8.2+ds1-1_kfreebsd-amd64.deb
 49d89b53a84c822b68267d9691a1ad8b4084fdd6a79167667f47a2ba37dd6928 23286 libgeom-dev_8.2+ds1-1_kfreebsd-amd64.deb
 e6b579789d04f0479382aad8d70b78b9c99f707e1e58f3c23d250d219a3fe96c 10574 libgeom1-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 003b401bec247690538791cdda7e2b7575c15f09600156fd4dc2d397a452d069 14882 libusbhid4_8.2+ds1-1_kfreebsd-amd64.deb
 465bf6c5044b4b416f490aeb38d58ce05a163d2f12046cb3d555c5a65a920da3 18482 libusbhid-dev_8.2+ds1-1_kfreebsd-amd64.deb
 bc167c58f7f52ee4430160ce86bff6fe93aa2df987452f042bd39216c17f6314 39258 libusb2_8.2+ds1-1_kfreebsd-amd64.deb
 e17c79a12d6fe1285cc4859296782927ea54e06fed1f51983e9daafa001430a9 62402 libusb2-dev_8.2+ds1-1_kfreebsd-amd64.deb
 3c9259be0efa42c0086e7bfb2d938086111b55eba8145f138ff11c20f022810d 30832 libusb2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 7282db226ef3589d5dfb41bf76ae8c77ea1d92ae75e97623e33d776599dd6fa6 23536 libkvm0_8.2+ds1-1_kfreebsd-amd64.deb
 b28891dbebe071881226d0d5cc2925dfee86ef484ba41d0d180edbd4020ab1ca 46980 libkvm-dev_8.2+ds1-1_kfreebsd-amd64.deb
 828b21e1709adaee97a6ce74406e44414209a10dc6b1214ce340a706af1497ec 17680 libdevstat7_8.2+ds1-1_kfreebsd-amd64.deb
 8c4e0e6d71cf8d0a26f501678f4aaf2324f02c3ea70c40fe071bf150342291ed 25170 libdevstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 8df2a76040a197bc387f50b596df2fee4af4bc3bcbdb8f5f73c8d51c2e302f46 15232 libmemstat3_8.2+ds1-1_kfreebsd-amd64.deb
 f230e6591eb6edcdfabc9073660b97cdb8c509f9d3f0740c411afc26293a9769 22294 libmemstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 fc1908bfa328853b6465f1b8c82ee85dcd20ff097afbb257ceb40d38f46f246e 15958 libnetgraph4_8.2+ds1-1_kfreebsd-amd64.deb
 94bf9a6f2ac46a4b68fc6d53194f0d444531ae54b1037234deb0fc6090b00733 21554 libnetgraph-dev_8.2+ds1-1_kfreebsd-amd64.deb
 e094201883891f49dcfaecf19c0ceea25fecd0244bcdd7b28151fd31e1ab6950 11058 libipx2_8.2+ds1-1_kfreebsd-amd64.deb
 396f53ccf5cca859b972e9248aef085951b92b75367839c8ad513ec684e45166 12948 libipx-dev_8.2+ds1-1_kfreebsd-amd64.deb
 ba249c6de1b18f4a4ec4f0dc4497740d140281c70d49b309e22293c80cba902e 3972 libipx2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 02434d3a9f5eaf08ccdf78ffe6736aad3f30783760a69e6817268348e1ada18c 13640 libkiconv4_8.2+ds1-1_kfreebsd-amd64.deb
 6e7dfff36514fb77fd760303c8b0d46484a48a764076f6e2efa476a7781b1394 10922 libkiconv-dev_8.2+ds1-1_kfreebsd-amd64.deb
 73955c865ad8d8ecdfdebe7372ee113a3b4ea31f93450fe4fe10ef4a8314c17f 18014 libjail1_8.2+ds1-1_kfreebsd-amd64.deb
 fb068dfba1ce0b56f67f7ab87ac753bdd7a00c6674145749dabb1ddf5657df0a 21704 libjail-dev_8.2+ds1-1_kfreebsd-amd64.deb
 e402c43e383afbc886555fb0807bca205f3e839942ae2e573b50ad597fff722b 21504 libusbhid-common_8.2+ds1-1_all.deb
Files: 
 584d9479bd42bb6237e861b9fc88bbe5 1839 libs optional freebsd-libs_8.2+ds1-1.dsc
 4c1a07d3b8e5fa5db1935b7a97b913d6 517866 libs optional freebsd-libs_8.2+ds1.orig.tar.gz
 f55c5533a27e98a5c87ebc17ec58e6b1 22749 libs optional freebsd-libs_8.2+ds1-1.debian.tar.gz
 1ff8a23d28d1cb1bcff4e6fa38737387 11458 libs optional libsbuf0_8.2+ds1-1_kfreebsd-amd64.deb
 e607da5a2388f7232c292bca18f5bd81 4344 debian-installer optional libsbuf0-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 b739986be39761880f577c23cc32d47d 11016 libdevel optional libsbuf-dev_8.2+ds1-1_kfreebsd-amd64.deb
 6f5eab76390b9b1fac3808213f964249 49220 libs optional libcam0_8.2+ds1-1_kfreebsd-amd64.deb
 2b14eab2aa950fed985a292f77bfb6c1 65038 libdevel optional libcam-dev_8.2+ds1-1_kfreebsd-amd64.deb
 6f7855ff57a3bc41b74133350d122499 17964 libs optional libgeom1_8.2+ds1-1_kfreebsd-amd64.deb
 8901f434bf61e11fad7c7da4af33d81c 23286 libdevel optional libgeom-dev_8.2+ds1-1_kfreebsd-amd64.deb
 e2e7faaa0babf4e00e27e581f3c081df 10574 debian-installer optional libgeom1-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 b9e80cd0d7cfedc2133e5353cf2bf98e 14882 libs optional libusbhid4_8.2+ds1-1_kfreebsd-amd64.deb
 d75cd24ef3e15335a92b0fcd7bdac8bc 18482 libdevel optional libusbhid-dev_8.2+ds1-1_kfreebsd-amd64.deb
 ceb2ddbc796d11c50df623b6461ab146 39258 libs optional libusb2_8.2+ds1-1_kfreebsd-amd64.deb
 065b0d7c1f7cc5d6a6d17da37fbd5173 62402 libdevel optional libusb2-dev_8.2+ds1-1_kfreebsd-amd64.deb
 1a3df5713625df808385bbc1b7c56098 30832 debian-installer optional libusb2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 a2cf8e82ef6be323a343cbd25d093035 23536 libs optional libkvm0_8.2+ds1-1_kfreebsd-amd64.deb
 84ac6e6474ad91804b7e15bfcc871a33 46980 libdevel optional libkvm-dev_8.2+ds1-1_kfreebsd-amd64.deb
 ebeeedbd4c67069f753e93c5294793d1 17680 libs optional libdevstat7_8.2+ds1-1_kfreebsd-amd64.deb
 6e5f50c623498d10751ebf07c43990dd 25170 libdevel optional libdevstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 5950f5ccf51e6eaa0569dde9cdb3ea1a 15232 libs optional libmemstat3_8.2+ds1-1_kfreebsd-amd64.deb
 e175a7d55867f5f418486bc46f4c6b9c 22294 libdevel optional libmemstat-dev_8.2+ds1-1_kfreebsd-amd64.deb
 ef1256dafe319357db7960dd5c725b19 15958 libs optional libnetgraph4_8.2+ds1-1_kfreebsd-amd64.deb
 235dd5ee6e2fef10f209e597cb39f5e1 21554 libdevel optional libnetgraph-dev_8.2+ds1-1_kfreebsd-amd64.deb
 ef7ada358274bddf81f355321a8845b9 11058 libs optional libipx2_8.2+ds1-1_kfreebsd-amd64.deb
 4730251a4d3ebec24102fb47a7352577 12948 libdevel optional libipx-dev_8.2+ds1-1_kfreebsd-amd64.deb
 31a8f75ee63cb6dfd1c27068d7b568dd 3972 debian-installer optional libipx2-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 ecf06ef13c91921f79fb44f5b500d5b0 13640 libs optional libkiconv4_8.2+ds1-1_kfreebsd-amd64.deb
 83d329914c6b1fe2247ac09bdc6b0224 10922 libdevel optional libkiconv-dev_8.2+ds1-1_kfreebsd-amd64.deb
 c16bb1b2b433c044b42da920bb14e13c 18014 libs optional libjail1_8.2+ds1-1_kfreebsd-amd64.deb
 cf83df2e729803b680b636ffad9e4a81 21704 libdevel optional libjail-dev_8.2+ds1-1_kfreebsd-amd64.deb
 3cd7dc7461ff72300827f6c024997eee 21504 libs optional libusbhid-common_8.2+ds1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk35HP0ACgkQuW9ciZ2SjJtE3gCdHZjaMmQ9EAqqE/wvGYzEx7OO
qsgAoIzhU17q5cD05FlWQ9K9jVvfq/Cq
=Oo10
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:32:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:44:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.